using System;
using System.Collections.Generic;
using System.Text;
using System.Drawing;

namespace UndoRedoTest.Commands
{
	class LoadImage: ICommand
	{
		Image _oldData;


		#region ICommand Members

		public void Save (Document doc)
		{
			_oldData = doc.GetData ();
		}

		public void Run (Document doc)
		{
			Image image = Image.FromFile ("sample.jpg");
			doc.SetData (image);
		}

		public void Undo (Document doc)
		{
			doc.SetData (_oldData);
		}

		#endregion
	}
}
